id: nexus-panel

info:
  name: Nexus Login Panel - Detect
  author: righettod
  severity: info
  description: |
    Nexus login panel was detected.
  reference:
    - https://www.sonatype.com/products/sonatype-nexus-repository
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.title:"Sonatype Nexus Repository"
  tags: panel,nexus,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(to_lower(body), "<title>sonatype nexus repository", "content=\"sonatype nexus repository", "nexus-coreui-bundle")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - '_v=([0-9\.\-]+)'
# digest: 4a0a00473045022017547fbf6b295cd6866e26bdd540272d9bb76942f70e477f6f475ee039a67527022100c683951f38156956479f148582d4f064b901392a575eb8b65425219ee6f6ae0a:922c64590222798bb761d5b6d8e72950